Page MenuHomePhabricator

Make Huggle 3 interface fully localizable
Closed, DeclinedPublic

Description

Some of the text which is currently being displayed in Huggle interface needs to be “localized”. That means, the hard coded English text needs to be replaced with a localization macro _l(“<localization key>”) and English text needs to be moved into XML file Localizations/en.xml.

Example of such a change can be found in this commit: https://github.com/huggle/huggle3-qt-lx/commit/3cbc946fb6b9f0b71260b2e9a5b21669163171a9

You can start hg in debug mode (by passing parameter -v) and pick language “qqx” in order to seek these items easily.

Note to Google Code-In students:
In order to finish this task, you should find and replace at least 20 items that are currently hard-coded.

Details

Reference
bz65950

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:18 AM
bzimport set Reference to bz65950.
Se4598 created this task.May 30 2014, 4:21 PM
Petrb added a comment.May 30 2014, 4:35 PM

first of all it needs updates from translatewiki until they fix these there is no point in working on that

Petrb added a comment.Aug 4 2014, 7:23 AM

lowering priority, upstream bugs need to be fixed for this to get fixed

Petrb moved this task from Backlog to Doing on the Huggle board.Nov 25 2014, 3:05 PM
Petrb removed Petrb as the assignee of this task.Nov 26 2014, 11:11 AM
Petrb set Security to None.
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptAug 22 2015, 8:49 PM

I will mentor these tasks (to be split)

Restricted Application added a subscriber: Matthewrbowker. · View Herald TranscriptNov 10 2015, 8:29 AM

Hi @Petrb
Can you please add me as a co-mentor for this task on the application system?

Petrb updated the task description. (Show Details)Dec 1 2015, 2:13 PM

@Petrb A GCI student has submitted a pull request for this task.
I don't have write access to merge the pull request. Therefore, I'm bringing this to your attention.

@Petrb A GCI student has submitted a pull request for this task.

GCI students are already supposed to notify mentors on the GCI tasks (and this Phab task is cloneable so there are several instances of itin GCI). :)

I wasn't aware about the cloneable property. Thanks @Aklapper! :)

Danny_B closed this task as Resolved.May 7 2016, 2:39 AM
Danny_B claimed this task.
Danny_B removed a project: Tracking-Neverending.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 7 2016, 2:39 AM
Danny_B removed Danny_B as the assignee of this task.May 7 2016, 2:39 AM
Danny_B added a subscriber: Danny_B.
Danny_B removed a subscriber: Danny_B.
Petrb reopened this task as Open.Nov 4 2016, 8:22 PM
Petrb edited projects, added Google-Code-In-2016; removed Google-Code-In-2015.
Petrb changed the status of subtask T70853: Set up automatic sync for Huggle with translatewiki.net from Declined to Resolved.
Petrb closed this task as Declined.Nov 5 2016, 2:33 PM

There is nothing invalid on this request